meta data for this page
  •  

Homebrew

Homebrew — macOS 缺少套件的管理工具

使用

20190402 要用 macOS Terminal 或寫 Bash script 來下載東西,想用 wget 時才發現 macOS 竟沒有內建!我驚呆了 ∴搜尋一下可能最簡便的方式是用 Homebrew 吧

  1. 安裝 Homebrew
    1. 說不支援 macOS 10.11,可能會有錯誤 <<==>>
      → 還是硬著頭皮進行了
    2. 中間出現一行
      ==> Pouring portable-ruby-2.3.7.mavericks.bottle.tar.gz
      Error: git: Unsupported special dependency :perl

      ∴不知道有沒有順利進行?如果沒有順利進行怎辦?
      → 先 ⌃C 中斷掉

    3. 先硬著頭皮再執行一次,這次沒有再出現剛才的問題了……最後安裝好了
  2. 裝個 wget 試試:
    $ brew install wget
    1. 一樣又是警告說不支援 macOS 10.11……
    2. 裝幾個相依套件。希望不要把 macOS 系統資料夾搞亂啊~
      • make 編譯各個套件時,常要花一段時間~像 openssl 這個,又要 make depend,然後 make,然後 make test,最後才要 make install……zzzzz
    3. 總算好了~

歡迎 Homebrew 來到我的 MBA 上,希望未來也能使用愉快!;)

討論區

輸入您的意見. 允許使用維基語法:
B Q D G L